KMimeSourceFactory Class Reference

`#include <kmimesourcefactory.h>`

Inherits QMimeSourceFactory.

## Public Member Functions

| KMimeSourceFactory (KIconLoader *loader=KGlobal::iconLoader())
virtual | ~KMimeSourceFactory ()
virtual QString | makeAbsolute (const QString &abs_or_rel_name, const QString &context) const

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Friends

class | KInstance

## Detailed Description

An extension to QMimeSourceFactory that uses KIconLoader to find images.

Normally you don't have to instantiate this class at all, KApplication does that for you automagically and sets QMimeSourceFactory::setDefaultFactory().

Author
  Peter Putzer putze.nosp@m.r@kd.nosp@m.e.org

Definition at line 40 of file kmimesourcefactory.h.

## Constructor & Destructor Documentation

KMimeSourceFactory::KMimeSourceFactory | ( | KIconLoader * | loader = `KGlobal::iconLoader()` | ) |

Constructor.

Parameters

  loader | is the iconloader used to find images.

Definition at line 47 of file kmimesourcefactory.cpp.

KMimeSourceFactory::~KMimeSourceFactory | ( |  | ) |

virtual

Destructor.

Definition at line 53 of file kmimesourcefactory.cpp.

## Member Function Documentation

QString KMimeSourceFactory::makeAbsolute | ( | const QString & | abs_or_rel_name,
|  | const QString & | context
| ) |  | const

virtual

This function is maps an absolute or relative name for a resource to the absolute one.

To load an icon, prepend the `category` name before the `icon` name, in the style of <category>|<icon>.

Example:

"<img src=\"user|ksysv_start\"/>", "<img src="\desktop|trash\">", ...

Parameters

  abs_or_rel_name | is the absolute or relative pathname.
  context | is the path of the context object for the queried resource. Almost always empty.

Definition at line 58 of file kmimesourcefactory.cpp.

The documentation for this class was generated from the following files:

- kmimesourcefactory.h
- kmimesourcefactory.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys